> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/vpc-network/cross-region-bandwidth/createcrossregionbandwidth.md).

# CreateCrossRegionBandwidth

## 1. API Description

This API (CreateCrossRegionBandwidth) is used to create a VPC cross-region bandwidth.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Region A and Region Z must be different regions within the same global VPC.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name           | Required | Type                                                                         | Description                                                                                                                                                                                                                                                                                                                       |
| ------------------------ | -------- | ---------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| vpcId                    | Yes      | String                                                                       | <p>ID of the VPC where the cross-region bandwidth is created.</p><p>It can be obtained by calling <a href="/api-reference/zec/vpc-network/describevpcs.md">DescribeVpcs</a>.</p>                                                                                                                                                  |
| internetChargeType       | Yes      | [InternetChargeType](/api-reference/zec/datastructure.md#internetchargetype) | <p>Network billing type.</p><p>Only two values are supported: <code>ByBandwidth</code> (fixed bandwidth billing) and <code>ByInstanceBandwidth95</code> (single-instance 95th percentile billing).</p><p>When the value is <code>ByInstanceBandwidth95</code>, the burstable bandwidth <code>bandwidthCap</code> is required.</p> |
| crossRegionBandwidthName | Yes      | String                                                                       | <p>Name of the VPC cross-region bandwidth.</p><p>The length is 2 to 63 characters.</p><p>Only letters, digits, hyphens (-), underscores (\_), and periods (.) are supported.</p><p>It must start and end with a digit or a letter.</p>                                                                                            |
| regionA                  | Yes      | String                                                                       | One end of the cross-region bandwidth.                                                                                                                                                                                                                                                                                            |
| regionZ                  | Yes      | String                                                                       | The other end of the cross-region bandwidth.                                                                                                                                                                                                                                                                                      |
| bandwidth                | Yes      | Integer                                                                      | <p>Bandwidth cap.</p><p>Value range: \[1, +)</p>                                                                                                                                                                                                                                                                                  |
| marketingInfo            | No       | [MarketingInfo](/api-reference/zec/datastructure.md#marketinginfo)           | Information on marketing campaigns.                                                                                                                                                                                                                                                                                               |
| bandwidthCap             | No       | Integer                                                                      | <p>Burst bandwidth.</p><p>Unit: Mbps.</p><p>This field is required only when internetChargeType is set to ByInstanceBandwidth95 .</p><p>Available range: \[1, +).</p><p>Value range: \[1, +)</p>                                                                                                                                  |

## 3. Output Parameters

| Parameter Name         | Type   | Description                                                                                                           |
| ---------------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId              | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| orderNumber            | String | Order number.                                                                                                         |
| crossRegionBandwidthId | String | Unique ID of the VPC cross-region bandwidth.                                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Create a VPC cross-region bandwidth from Shanghai to Beijing, billed by fixed bandwidth. The burstable bandwidth is 100 Mbps.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateCrossRegionBandwidth
<Common Request Params>

Request：
{
  "vpcId": "<your vpc id>",
  "internetChargeType": "ByBandwidth",
  "crossRegionBandwidthName": "Test-Cross1",
  "regionA": "asia-east-1",
  "regionZ": "asia-north-1",
  "bandwidth": 100
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "crossRegionBandwidthId": "<crossId1>",
    "orderNumber": "<orderNumber>"
  }
}
```

**2. Create a VPC cross-region bandwidth from Beijing to Shanghai, billed by single-instance 95th percentile. The committed bandwidth is 100 Mbps and the burstable bandwidth is 120 Mbps.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateCrossRegionBandwidth
<Common Request Params>

Request：
{
  "vpcId": "<your vpc id>",
  "internetChargeType": "ByInstanceBandwidth95",
  "crossRegionBandwidthName": "Test-Cross2",
  "regionA": "asia-north-1",
  "regionZ": "asia-east-1",
  "bandwidth": 100,
  "bandwidthCap": 120
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "crossRegionBandwidthId": "<crossId2>",
    "orderNumber": "<orderNumber>"
  }
}
```

**3. Create a VPC cross-region bandwidth with a POC voucher. If no POC voucher exists in the system, the creation will fail.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateCrossRegionBandwidth
<Common Request Params>

Request：
{
  "vpcId": "<your vpc id>",
  "internetChargeType": "ByBandwidth",
  "crossRegionBandwidthName": "Test-Cross1",
  "regionA": "asia-east-1",
  "regionZ": "asia-north-1",
  "bandwidth": 100,
  "marketingInfo": {
    "usePocVoucher": true
  }
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "crossRegionBandwidthId": "<crossId1>",
    "orderNumber": "<orderNumber>"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                     | Description                                                       |
| ---------------- | ---------------------------------------------- | ----------------------------------------------------------------- |
| 404              | INVALID\_REGION\_NOT\_FOUND                    | The specified region does not exist.                              |
| 400              | INVALID\_VPC\_BANDWIDTH\_REGION\_AZ\_IS\_EXIST | The A and Z ends of the VPC cross-region bandwidth already exist. |
| 400              | INVALID\_VPC\_BANDWIDTH\_REGION\_AZ\_IS\_SAME  | The A and Z ends of the VPC cross-region bandwidth are the same.  |
| 404              | INVALID\_VPC\_NOT\_FOUND                       | The global VPC does not exist.                                    |
